{* dashClanky *}
<span class="fs-3 fw-bold">Aktuálně</span>
{snippet clanky}
    <div id="seznam-clanku" data-limit="{$limit}">
        {if !empty($clanky)}
            {foreach $clanky as $item}
                <article class="card bg-white-50 blur mb-3">
                    <div class="card-header">
                        <h2 class="card-title">{$item->nazev}</h2>
                    </div>
                    <div class="card-body">
                        <div class="fw-bold fs-6 text-primary">{$item->public_at|date:('d.m.Y')} , {$item->public_at|date:('H:i')}
                        {if $item->public_at < $item->last_update}
                            <span class="fs-6 text-danger">aktualizováno ({$item->last_update|date:('d.m.Y')})</span>
                        {/if}
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col col-12 col-md-4">
                                {if $item->base_img_type}
                                    {if $item->base_img_type == 'icon'}
                                        {$item->base_img_icon|noescape}
                                    {/if}
                                    {if $item->base_img_type == 'img'}
                                        <img src="{$basePath}/src/fotogallery/clanky/{$item->id}/thumbs/{$item->ref('clanky_fotky','base_img_id')->url}" alt="{$item->nazev}" class="img-fluid border shadow">
                                    {/if}
                                {/if}
                            </div>
                            <div class="col col-12 col-md-8">
                                {$item->uvod|noescape|truncate:(350)}
                            </div>
                        </div>
                    </div>
                    <div class="card-footer">
                        <a href="{plink :Front:Clanky:Detail:default $item->url}">Více ...</a>
                    </div>
                </article>
            {/foreach}
        {else}
            <h2>Není publikovaný žádný článek.</h2>
        {/if}
    </div>
    {if $pocetClanku <= $limit}
        <div>
            <span class="fs-4">Všechny články byly zobrazeny.</span>
        </div>
    {else}
        <div class="spinner">
            <div class="spinner-border text-secondary" role="status">
                <span class="visually-hidden">Loading...</span>
            </div>
        </div>
        <div>
            <div class="btn btn-primary next-article">Načíst další</div>
        </div>
    {/if}
{/snippet}
{snippet clankyScript}
    <script>
        $('.next-article').click(function (){
            let limit = $('#seznam-clanku').attr('data-limit');
            let next = parseInt(limit) + 5;

            naja.makeRequest('POST', {link 'nacistClanky'} , { {$control->getParameterId('limit') }: next });
        })
    </script>
{/snippet}